package com.nto.data.repository

import com.nto.data.models.LoginResult
import com.nto.data.models.UserDTO

interface DataRepository {
    suspend fun auth(login: String, password: String): LoginResult
    suspend fun saveToken(token: String)
    suspend fun getToken(): String
    suspend fun getInfo(): UserDTO
}