package com.nto.domain.repository

import com.nto.data.models.LoginResult
import com.nto.data.models.UserDTO

interface DomainRepository {
    suspend fun auth(email: String, password: String): LoginResult
    suspend fun saveToken(token: String)
    suspend fun getToken(): String
    suspend fun getInfo(): UserDTO
}